@import "./components/header";
@import "./components/footer.scss";
@import "./components/question-form.scss";

.noselect {
  -webkit-touch-callout: none; /* iOS Safari */
  -webkit-user-select: none; /* Safari */
  -khtml-user-select: none; /* Konqueror HTML */
  -moz-user-select: none; /* Firefox */
  -ms-user-select: none; /* Internet Explorer/Edge */
  user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome and Opera */
}

.header-swiper {
  width: 100%;

  .swiper-slide {
    height: 44px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #f2f2f2;
    font-size: 14px;
    line-height: 19px;
    color: #5a5a5a;
    cursor: grabbing;
  }
}

input {
  padding: 14px 16px;
  border-radius: 3px;
  font-size: 14px;
  line-height: 19px;
}

textarea {
  padding: 14px 16px;
  font-size: 14px;
  line-height: 19px;
}

.white-button {
  height: 48px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #ffffff;
  border-radius: 3px;
  font-size: 12px;
  line-height: 16px;
  text-align: center;
  letter-spacing: 1px;
  color: #2d2d2d;
  padding-left: 32px;
  padding-right: 32px;
  transition: 0.23s;
}

.black-button {
  height: 48px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #2d2d2d;
  border-radius: 3px;
  font-size: 12px;
  line-height: 16px;
  text-align: center;
  letter-spacing: 1px;
  color: #ffffff;

  padding-left: 32px;
  padding-right: 32px;
  transition: 0.23s;

  &:hover,
  &.active {
    background: #dadada;
  }
}

.border-appears {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 16px;
  color: #2d2d2d;
  background: transparent;
  transition: 0.23s;
  border: 1px solid transparent;
  border-radius: 3px;

  &:hover,
  &.active {
    border: 1px solid #2d2d2d;
  }
}

.with-border {
  border: 1px solid #2d2d2d;
}

.block-title {
  font-size: 32px;
  line-height: 149%;

  @media screen and (max-width: 768px) {
    font-size: 20px;
    line-height: 149%;
  }
}

.link {
  background: transparent;
  transition: 0.23s;
  color: #2d2d2d;

  &:hover,
  &.active {
    color: #909090;
  }

  &.reverse {
    color: #909090;

    &:hover,
    &.active {
      color: #2d2d2d;
    }
  }
}

.link-button {
  text-decoration: underline;
  transition: 0.23s;
  background: transparent;

  &:hover {
    opacity: 0.6;
  }
}

.color-button {
  padding: 7px;
  border: 1px solid transparent;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: 0.23s;
  border-radius: 50%;
  background: transparent;

  span {
    display: inline-block;
    width: 22px;
    height: 22px;
    border-radius: 50%;

    &.white {
      background-color: #fff;
    }

    &.gray {
      background-color: #909090;
    }
  }

  &:hover,
  &.active {
    border: 1px solid #2d2d2d;
  }
}

// checkboxes and radios

.radio-container {
  display: block;
  position: relative;
  padding-left: 35px;
  margin-bottom: 12px;
  cursor: pointer;
  font-size: 22px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/* Hide the browser's default radio button */
.radio-container input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
}

/* Create a custom radio button */
.checkmark {
  position: absolute;
  top: 0;
  left: 0;
  height: 16px;
  width: 16px;
  background-color: #eee;
  border-radius: 50%;
  border: 1px solid #2d2d2d;
}

/* On mouse-over, add a grey background color */
.radio-container:hover input ~ .checkmark {
  background-color: #ccc;
}

/* When the radio button is checked, add a blue background */
.radio-container input:checked ~ .checkmark {
  background-color: transparent;
}

/* Create the indicator (the dot/circle - hidden when not checked) */
.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

/* Show the indicator (dot/circle) when checked */
.radio-container input:checked ~ .checkmark:after {
  display: block;
}

/* Style the indicator (dot/circle) */
.radio-container .checkmark:after {
  top: 3px;
  left: 3.2px;
  width: 7px;
  height: 8px;
  border-radius: 50%;
  background: #2d2d2d;
}

//------------------------------

.material-tab {
  display: flex;
  align-items: flex-end;
  margin-right: 32px;

  &:last-of-type {
    margin-right: 0;
  }

  img {
    margin-right: 8.5px;
  }
  span {
    padding-bottom: 1px;
    border-bottom: 1px solid transparent;
    transition: 0.33s;
    font-size: 13px;
    line-height: 18px;
    letter-spacing: 1px;
  }

  &:hover,
  &.active {
    span {
      border-bottom: 1px solid #2d2d2d;
    }
  }
}

.tilted-border {
  width: 41px;
  height: 41px;
  background: transparent;
  position: relative;
  padding: 0;
  display: flex;
  justify-content: center;
  align-items: center;
}

.tilted-border:after {
  content: "";
  display: block;
  position: absolute;
  top: -2px;
  left: -1px;
  width: 100%;
  height: 100%;
  border: 1px solid #909090;
  transform: rotate(45deg);
  pointer-events: none;
}

.brand {
  font-size: 22px;
  line-height: 29px;
  letter-spacing: -0.02em;
  color: #2d2d2d;
}

.social-buttons-wrapper {
  display: flex;

  button {
    margin-right: 8px;
    transition: 23s;

    img {
      transition: 0.23s;
    }

    &:hover {
      img {
        opacity: 0.6;
      }
    }

    &:last-of-type {
      margin-right: 0;
    }
  }
}

.stars-wrapper {
  display: flex;

  svg {
    margin-right: 2px;

    path {
      stroke: #f2c94c;
    }

    &:last-child {
      margin-right: 0;
    }
  }

  &.fill-1 {
    svg:first-child {
      path {
        fill: #f2c94c;
      }
    }
  }

  &.fill-2 {
    svg:first-child,
    svg:nth-child(2) {
      path {
        fill: #f2c94c;
      }
    }
  }

  &.fill-3 {
    svg:first-child,
    svg:nth-child(2),
    svg:nth-child(3) {
      path {
        fill: #f2c94c;
      }
    }
  }

  &.fill-4 {
    svg:first-child,
    svg:nth-child(2),
    svg:nth-child(3),
    svg:nth-child(4) {
      path {
        fill: #f2c94c;
      }
    }
  }

  &.fill-5 {
    svg {
      path {
        fill: #f2c94c;
      }
    }
  }
}

.footer-nav-list {
  .nav-name {
    font-size: 16px;
    line-height: 22px;
    margin-bottom: 8px;
  }

  .footer-nav-item {
    margin-bottom: 8px;

    .footer-nav-link {
      font-size: 14px;
      line-height: 19px;
      color: #909090;
      transition: 0.23s;

      &:hover {
        color: #2d2d2d;
      }
    }

    &:last-of-type {
      margin-bottom: 0;
    }
  }
}

.contact-block {
  .tel {
    display: block;
    font-size: 24px;
    line-height: 149%;
    margin-bottom: 32px;
  }

  .mail {
    display: block;
    font-size: 18px;
    line-height: 149%;
    margin-bottom: 12px;
  }

  .map-address {
    display: block;
    max-width: 237px;
    font-size: 18px;
    line-height: 149%;
  }
}

.form {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;

  .form-field {
    margin-bottom: 24px;
    p {
      font-size: 12px;
      line-height: 16px;
      letter-spacing: 0.7px;
      margin-bottom: 10px;
    }

    input {
      width: 100%;
      border: 1px solid #dadada;
      border-radius: 3px;
      background: transparent;
    }

    textarea {
      width: 100%;
      height: 144px;
      border: 1px solid #dadada;
      border-radius: 3px;
      background: transparent;
      resize: none;
    }

    &.short {
      width: 280px;
    }

    &.long {
      width: 100%;
    }
  }
}

.material-inner {
  .block-title {
    text-align: center;
    margin-top: 96px;
    margin-bottom: 8px;
  }

  .subtitle {
    max-width: 697px;
    text-align: center;
    font-size: 18px;
    line-height: 149%;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 32px;

    span {
      display: block;
    }
  }

  .black-button {
    margin: 0 auto 32px;
  }

  .material-card-wrapper {
    display: flex;
    justify-content: center;

    .material-card {
      width: 300px;
      height: 400px;
      margin-right: 32px;
      border-radius: 6px;
      background: #ccc;
      padding-top: 32px;
      position: relative;
      overflow: hidden;
      padding-bottom: 128px;

      &:last-of-type {
        margin-right: 0;
      }

      .tilted-border {
        margin-left: auto;
        margin-right: auto;
        margin-bottom: 32px;
        transition: 0.23s;
      }

      .title {
        text-align: center;
        font-size: 22px;
        line-height: 149%;
        margin-bottom: 16px;
      }

      .subtitle {
        font-size: 14px;
        line-height: 19px;
        margin-bottom: 24px;
      }

      .link-button {
        display: flex;
        margin-left: auto;
        margin-right: auto;
        margin-bottom: 40px;
      }

      .transform-img {
        position: absolute;
        left: 50%;
        top: 100%;
        transform: translateX(-50%);
        transition: 0.23s;
      }

      &:hover {
        .tilted-border {
          img {
            z-index: 1;
          }
          &:after {
            background: #fff;
          }
        }

        .transform-img {
          transform: translate(-50%, -100%);
        }
      }
    }
  }

  @media screen and (max-width: 768px) {
    .block-title {
      padding: 0 16px;
      font-size: 20px;
      line-height: 149%;
      margin-bottom: 12px;
      margin-top: 48px;
    }

    .subtitle {
      padding: 0 16px;
      margin-bottom: 24px;
      font-size: 14px;
      line-height: 149%;
    }
  }
}

.advantages-wrapper {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;

  .advantage-item {
    max-width: 229px;
    display: flex;
    margin-right: 64px;

    &:last-of-type {
      margin-right: 0;
    }

    img {
      width: 42px;
      height: 42px;
      margin-right: 16px;
    }

    p {
      font-size: 14px;
      line-height: 149%;
    }
  }

  @media screen and (max-width: 992px) {
    .advantage-item {
      max-width: 30%;
      margin-bottom: 16px;
      margin-right: 0;
      border: 0.5px solid rgba(204, 204, 204, 0.3);
    }
  }

  @media screen and (max-width: 768px) {
    .advantage-item {
      margin-bottom: 0;
      max-width: 200px;
      width: 50%;
      display: flex;
      flex-direction: column;
      margin-right: 0;
      text-align: center;
      align-items: center;
      padding: 16px 18px;

      img {
        margin-right: 0;
      }

      p {
        font-size: 10px;
      }
    }
  }
}

.gid-card {
  border-radius: 3px;
  background: #ffffff;
  padding: 32px;
  width: 100%;
  display: flex;
  align-items: center;

  .img {
    background: #f8f8f8;
    margin-right: 24px;
    min-width: 113px;
    height: 117px;

    img {
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
  }

  .text {
    .title {
      font-size: 16px;
      line-height: 149%;
      margin-bottom: 8px;
    }

    .subtitle {
      font-size: 14px;
      line-height: 19px;
      color: #909090;
    }
  }

  &.transparent {
    background: transparent;
  }

  @media screen and (max-width: 768px) {
    padding: 24px 16px;
    flex-direction: column;

    .img {
      margin-bottom: 16px;
      margin-right: 0;
    }

    .text {
      .title {
        font-size: 16px;
        line-height: 149%;
        margin-bottom: 4px;
        text-align: center;
      }

      .subtitle {
        font-size: 12px;
        line-height: 16px;
        text-align: center;
      }
    }
  }
}

.order-sample-block {
  padding-top: 142.5px;
  padding-bottom: 142.5px;

  .order-sample-inner {
    display: flex;
    align-items: center;
    justify-content: center;

    .text {
      margin-right: 100px;

      .block-title {
        margin-bottom: 8px;
      }

      .subtitle {
        max-width: 393px;
        margin-bottom: 24px;
        font-size: 18px;
        line-height: 149%;
        color: #2d2d2d;
      }
    }

    .image {
      width: 387px;
      height: auto;

      img {
        width: 100%;
        height: 100%;
        object-fit: contain;
      }
    }
  }

  @media screen and (max-width: 768px) {
    padding: 64px 0 128px;
    .order-sample-inner {
      flex-direction: column-reverse;

      .text {
        margin-right: 0;

        .block-title {
          text-align: center;
          margin-bottom: 12px;
        }

        .subtitle {
          text-align: center;
          margin-bottom: 24px;
        }

        .white-button {
          margin-right: auto;
          margin-left: auto;
          width: 288px;
          padding-left: 16px;
          padding-right: 16px;
          letter-spacing: 1px;
          font-size: 12px;
          line-height: 16px;
        }
      }
    }
  }
}

.detail-item {
  display: flex;
  align-items: center;
  margin-bottom: 25px;

  .order-item-img {
    width: 65px;
    height: 65px;
    position: relative;
    background: #ccc;
    margin-right: 12px;
    border: 1px solid rgba(204, 204, 204, 0.3);
    border-radius: 6px;

    span {
      display: flex;
      width: 22px;
      height: 22px;
      justify-content: center;
      align-items: center;
      background: #909090;
      font-size: 14px;
      line-height: 19px;
      color: #ffffff;
      position: absolute;
      right: -9px;
      top: -9px;
      border-radius: 50%;
    }
  }

  .text {
    .title {
      font-size: 14px;
      line-height: 19px;
    }

    .subtitle {
      font-size: 14px;
      line-height: 19px;
      color: #909090;
    }
  }
}

.ordering-crumbs {
  font-size: 12px;
  line-height: 16px;

  a {
    margin-right: 10px;

    &:last-of-type {
      margin-right: 0;
    }
  }

  span {
    margin-right: 10px;
    color: #909090;
  }
}

.color-buttons-wrapper {
  display: flex;
  justify-content: center;

  .color-button {
    margin-right: 12px;

    &:last-of-type {
      margin-right: 0;
    }
  }
}

.review {
  display: flex;
  align-items: center;

  > p {
    margin-left: 8px;
    font-size: 14px;
    line-height: 19px;
  }
}

.question-form-wrapper {
  width: 100%;
  padding: 32px;
  display: flex;
  flex-direction: column;

  .required-fields-info {
    align-self: flex-end;
    font-size: 12px;
    line-height: 16px;
    color: #909090;
    margin-bottom: 32px;
  }

  .form {
    .black-button {
      margin-top: 8px;
      margin-left: auto;
      align-self: flex-end;
    }
  }
}

.pagination {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 22px;

  button {
    margin-right: 16px;
    font-size: 16px;
    line-height: 22px;
    display: flex;
    justify-content: center;
    align-items: center;

    &:last-of-type {
      margin-right: 0;
    }
  }
}
